summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog3
-rw-r--r--eclass/stardict.eclass60
2 files changed, 63 insertions, 0 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index b8a41e46..bfe6fa3f 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -46,3 +46,6 @@
08 Feb 2016; Martin Väth <martin@mvath.de>:
mv_mozextension-r1.eclass: Support USE=compressed
+
+ 29 Nov 2016; Martin Väth <martin@mvath.de>:
+ stardict.eclass: Add from main gentoo repository
diff --git a/eclass/stardict.eclass b/eclass/stardict.eclass
new file mode 100644
index 00000000..1e1156c2
--- /dev/null
+++ b/eclass/stardict.eclass
@@ -0,0 +1,60 @@
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# Author : Alastair Tse <liquidx@gentoo.org>
+#
+# Convienence class to do stardict dictionary installations.
+#
+# Usage:
+# - Variables to set :
+# * FROM_LANG - From this language
+# * TO_LANG - To this language
+# * DICT_PREFIX - SRC_URI prefix, like "dictd_www.mova.org_"
+# * DICT_SUFFIX - SRC_URI after the prefix.
+
+RESTRICT="strip"
+
+[ -n "${DICT_SUFFIX}" ] || DICT_SUFFIX=${PN#stardict-[[:lower:]]*-}
+[ -n "${DICT_P}" ] || DICT_P=stardict-${DICT_PREFIX}${DICT_SUFFIX}-${PV}
+
+if [ -n "${FROM_LANG:++}" ] && [ -n "${TO_LANG:++}" ]
+then DESCRIPTION="Stardict Dictionary ${FROM_LANG} to ${TO_LANG}"
+else DESCRIPTION="Another Stardict Dictionary"
+fi
+
+HOMEPAGE="http://stardict.sourceforge.net/"
+SRC_URI="mirror://sourceforge/stardict/${DICT_P}.tar.bz2"
+
+IUSE="gzip"
+SLOT="0"
+LICENSE="GPL-2"
+
+DEPEND="|| ( >=app-text/stardict-2.4.2
+ app-text/sdcv
+ app-text/goldendict
+)
+gzip? ( app-arch/gzip
+ app-text/dictd
+)"
+
+S=${WORKDIR}/${DICT_P}
+
+stardict_src_compile() {
+ if use gzip
+ then for file in *.idx
+ do test -f "$file" && gzip "$file"
+ done
+ for file in *.dict
+ do test -f "$file" && dictzip "$file"
+ done
+ fi
+}
+
+stardict_src_install() {
+ insinto /usr/share/stardict/dic
+ doins *.dict.dz*
+ doins *.idx*
+ doins *.ifo
+}
+
+EXPORT_FUNCTIONS src_compile src_install